﻿@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.bg-container {
    background: url(../images/logos/loader_bg.jpg) no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

.bgLogo {
    width: 15%;
    top: 45%;
    left: 42%;
    transform: translateY(-50%);
}

#loading-panel {
    width: 26%;
    height: 34%;
}

#loading-bar-spinner.spinner {
    left: 50%;
    margin-left: -20px;
    top: 55%;
    margin-top: -20px;
    position: absolute;
    z-index: 19 !important;
    animation: loading-bar-spinner 2s linear infinite;
    -webkit-animation: loading-bar-spinner 2s linear infinite; /* Safari */
}

    #loading-bar-spinner.spinner .spinner-icon {
        width: 40px;
        height: 40px;
        border: solid 4px lightgrey;
        border-top-color: #4d7593 !important;
        border-left-color: #4d7593 !important;
        border-radius: 50%;
    }

@keyframes loading-bar-spinner {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@-webkit-keyframes loading-bar-spinner {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

.badge1 {
    content: attr(data-badge);
    position: absolute;
    right: 0;
    bottom: 0;
    font-size: 0.6rem;
    padding: 0 0.3rem;
    border-radius: 0.5rem;
    /* color: white; */
    background: var(--rz-danger-darker);
    text-align: center;
    min-width: 1rem;
    font-weight: bold;
}

    .badge1:empty {
        display: none;
    }

    .badge1[data-badge="0"] {
        display: none;
    }

:root {
    --bs-body-bg: inherit;
    --bs-body-color: inherit;
    --custom-brown-color: #915721;
    --bs-body-font-family: var(--rz-text-font-family);
}

a {
    text-decoration: none;
}

    a:hover, .link:hover {
        opacity: 0.5;
        cursor: pointer;
        text-decoration: underline;
    }

.rz-multiselect, .rz-dropdown {
    min-width: 5rem;
}

.profile-text {
    font-size: 0.8rem;
}

.custom-icon-size1 {
    font-size: 2rem;
}

.table-row-select tbody tr:hover {
    opacity: 0.75;
}

.nowrap {
    white-space: nowrap;
}

.validation-message {
    color: var(--rz-form-error-color);
    font-size: var(--rz-form-error-font-size);
    padding: var(--rz-validator-text-padding);
}

.checkboxColumnWidth {
    width: 5rem !important;
}

.editColumnWidth {
    width: 5rem !important;
}

.statusColumnWidth {
    width: 10rem !important;
}

.primaryColumnWidth {
    width: 8rem !important;
}

.table-row-cursor tbody tr {
    cursor: pointer;
}

.custom-brown-color {
    color: var(--custom-brown-color);
}

.custom-text-muted {
    color: var(--rz-base-500) !important;
}

.e-dashboardlayout.e-control .e-panel {
    border: none !important;
    border-radius: var(--bs-border-radius-sm) !important;
    background: var(--rz-base-background-color);
}

.e-panel-header {
    background-color: inherit !important;
    color: var(--rz-text-title-color) !important;
    padding: 0.3rem !important;
    margin: 0 !important;
    font-size: var(--rz-text-h6-font-size) !important;
    height: auto !important;
    font-family: var(--rz-text-font-family) !important;
}

.e-dashboardlayout.e-control .e-panel:active {
    background: inherit !important;
}

.e-panel-content {
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    max-height: 90% !important;
    overflow: auto;
}


/* Non-expandable mode (default) */
.apexcharts-legend-text {
    width: 5rem;
    white-space: normal !important;
    word-break: break-word !important;
    overflow-wrap: break-word !important;
    max-width: 100%;
}

/* Expandable mode */
.expanded .apexcharts-legend-text {
    width: auto;
    white-space: nowrap !important;
    word-break: normal !important;
    overflow-wrap: normal !important;
    max-width: 50%;
}


.top-license-widget .apexcharts-legend-text {
    white-space: normal !important;
    word-break: normal !important;
    overflow-wrap: break-word !important;
    line-height: 1.4em;
    max-width: 220px;
    text-align: left;
}

.apexcharts-text {
    fill: var(--rz-panel-menu-item-color);
}

.apexcharts-pie-label {
    fill: var(--rz-white);
}

.apexcharts-tooltip {
    background: var(--rz-base-background-color) !important;
    border: 1px solid var(--rz-base-background-color) !important;
}

.apexcharts-tooltip-title, .apexcharts-xaxistooltip {
    background: var(--rz-primary-lighter) !important;
    border: 1px solid var(--rz-base-background-color) !important;
    color: inherit !important;
}

.align-content-evenly {
    align-content: space-evenly;
}

.rz-notification {
    bottom: 0 !important;
    top: unset !important;
    right: 1rem !important;
    bottom: 5rem !important;
}

.bd-callout-warning {
    border-color: var(--rz-warning-dark) !important;
}

.bd-callout-info {
    border-color: var(--rz-info-dark) !important;
}

.bd-callout-danger {
    border-color: var(--rz-danger-dark) !important;
}

.bd-callout {
    padding: 0.5rem;
    border: 1px solid;
    border-left-width: .5rem;
    border-radius: .25rem;
}

.app-image {
    width: 2rem;
}

.editorHeight {
    min-height: 20rem;
}

.e-dashboardlayout.e-control .e-panel {
    box-shadow: var(--rz-shadow-0);
}

.justify-items-end {
    justify-items: end;
}


.mw-50 {
    max-width: 50% !important;
}

.coro-banner-bg {
    background-color: #69d488;
}

.coro-banner-text {
    color: #262260;
}

.coro-banner-head {
    font-weight: 700;
}

.coro-banner-subhead {
    font-weight: 500;
}

.coro-banner-btn {
    cursor: pointer;
    background-color: #262260;
    width: fit-content;
    color: white;
    padding: 5px 20px 5px 20px;
    font-size: small;
}

.coro-logo {
    height: auto;
    width: 100px;
}

.chart-container {
    width: 100%;
    height: auto;
    max-width: 100%;
    overflow: visible;
    display: block;
    position: relative;
    padding: 1rem 0;
}

    .chart-container > div,
    .chart-container svg,
    .chart-container canvas {
        width: 100% !important;
        height: auto !important;
        max-width: 100% !important;
        max-width: 100% !important;
        object-fit: contain;
        box-sizing: border-box;
    }

    .chart-container .apexcharts-legend-text {
        width: 5rem;
        white-space: normal !important;
        word-break: break-word !important;
        overflow-wrap: break-word !important;
        max-width: 100%;
    }

.productDialogSection {
    padding: 12px 18px 12px 18px;
    display: flex;
    flex-direction: column;
    background-color: white;
}

.productDialogDark-section {
    background-color: #f9f9f9;
    border-top: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
}

.productDialogFooter {
    padding: 12px;
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-end;
    column-gap: 12px;
    background-color: white;
}

    .productDialogFooter button {
        background-color: #f9f9f9;
        color: white;
        padding: 8px;
        font-weight: 600;
        color: #1c75bc;
        border: 0;
        border-radius: 4px;
        padding: 8px;
        font-size: .9rem;
        cursor: pointer;
        display: flex;
        flex-flow: row nowrap;
        gap: 50px;
    }

        .productDialogFooter button[type="submit"] {
            background-color: #1c75bc;
            color: White;
        }

.productDialogValue {
    font-weight: 400;
    color: black;
}

.productDialogPart-number {
    background: #f2f2f2;
    padding: 3px;
    border-radius: 4px;
    font-size: .9rem;
}

.badge-text-primary {
    color: #CD906B !important;
}

.badge-text-secondary {
    color: #4D7593 !important;
}

.cart-background-primary {
    background-color: #E9F5FF !important;
    color: black !important;
}

.cart-background-secondary {
    background-color: #F4F4F1 !important;
    color: black !important;
}

.cart-background-tertiary {
    background-color: #E7EDF3 !important;
    color: black !important;
}

.custom-badge-primary {
    background-color: #CD906B !important;
}

.custom-badge-secondary {
    background-color: #4D7593 !important;
}

.subscription-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 3 equal columns */
    gap: 20px;
    width: 100%;
}

.subscription-item {
    display: flex;
    flex-direction: column; 
    gap: 4px; 
}

    .subscription-item p,
    .subscription-item b {
        margin: 0;
        padding: 0;
    }
.fit-content {
    width: fit-content;
    display: inline-block;
}
.subscription-list-container {
    display: flex;
    flex-direction: column;
    gap: 6px; 
}

.subscription-card {
    background: #eef3fa;
    border: 1px solid #d3dae5;
    border-radius: 6px;
    padding: 8px 10px; 
    display: flex;
    flex-direction: column;
}

.subscription-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.subscription-name {
    font-weight: 600;
    font-size: 15px; 
}

.subscription-id {
    font-size: 12px; 
    margin-top: 2px; 
    color: #555;
}

.subscription-footer {
    margin-top: 6px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.subscription-actions {
    display: flex;
    gap: 6px; 
}
.header-row {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    width: 100%;
}

.left-header {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.title-row {
    display: flex;
    align-items: center;
    gap: 8px;
}

.badge-spacing {
    margin-left: 6px;
}

.id-row, .price-row {
    display: flex;
    gap: 6px;
    align-items: center;
    padding-top: 2vh;
}

.label-bold {
    font-weight: 600;
}

.value-bold {
    font-weight: 700;
}

.right-header {
    text-align: right;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.order-number .label-bold {
    margin-right: 4px;
}

.order-link {
    color: #007bff;
    font-weight: 600;
    cursor: pointer;
}
.inline-price {
    display: inline-flex;
    align-items: center;
    gap: 4px; 
}

.badge-primary {
    background-color: var(--rz-primary-lighter);
}